.button {
  text-align: center;
  text-decoration: none;
  font-family: var(--font-family-system-sans);
  font-size: var(--font-size-base);
  font-weight: var(--font-weight-bold);
  line-height: 1;
  width: 100%;
  flex-grow: 1;
  cursor: pointer;
  border-radius: var(--border-radius-base);
  padding: var(--spacing-50) var(--spacing-75);
}

.button.disabled,
.primary.button.disabled,
.secondary.button.disabled,
.button.disabled:hover,
.primary.button.disabled:hover,
.secondary.button.disabled:hover {
  background-color: var(--background-color-disabled);
  cursor: default;
  color: var(--color-inverted);
  border: var(--border-width-base) var(--border-style-base)
    var(--border-color-subtle);
}

.primary.button {
  border: none;
  background-color: var(--color-progressive);
  color: var(--color-inverted);
  border: var(--border-width-base) var(--border-style-base)
    var(--border-color-progressive);
}

.primary.button:hover {
  background-color: var(--color-progressive--hover);
  border-color: var(--border-color-progressive--hover);
}

.primary.button:active {
  background-color: var(--color-progressive--active);
}

.secondary.button {
  color: var(--color-base);
  background-color: var(--background-color-interactive-subtle);
  border: var(--border-width-base) var(--border-style-base)
    var(--border-color-base);
}

.secondary.button:hover {
  background-color: var(--background-color-interactive-subtle--hover);
  color: var(--color-interactive--hover);
}

.secondary.button:active {
  background-color: var(--background-color-interactive-subtle--active);
  border-color: var(--border-color-interactive);
  color: var(--color-interactive--active);
}
